SaslException (GNU cryptographic primitives and tools)
Keywords: javax.security.sasl.SaslException,SaslException class

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.security.sasl
Class SaslException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--javax.security.sasl.SaslException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AuthenticationException, ConfidentialityException, IntegrityException, NoSuchMechanismException, SaslEncodingException, UserAlreadyExistsException

public class SaslException
extends java.io.IOException
implements java.io.Serializable

This class represents an error that has occurred when using SASL.

See Also:
  Serialized Form

Constructor Summary
`SaslException()` Constructs a new instance of `SaslException`.
`SaslException(java.lang.String detail)` Constructs a new instance of `SaslException` with a detailed message.
`SaslException(java.lang.String detail, java.lang.Throwable ex)` Constructs a new instance of `SaslException` with a detailed message and a root exception.

Method Summary
`java.lang.Throwable` | `getCause()` Returns the cause of this throwable or `null` if the cause is nonexistent or unknown.
`void` | `printStackTrace()` Prints this exception's stack trace to `System.err`.
`void` | `printStackTrace(java.io.PrintStream ps)` Prints this exception's stack trace to a print stream.
`void` | `printStackTrace(java.io.PrintWriter pw)` Prints this exception's stack trace to a print writer.
`java.lang.String` | `toString()` Returns the string representation of this exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SaslException

    public SaslException()

  Constructs a new instance of `SaslException`. The root exception and the detailed message are null.

### SaslException

    public SaslException(java.lang.String detail)

  Constructs a new instance of `SaslException` with a detailed message. The `root` exception is `null`.

Parameters:
  `detail` - a possibly null string containing details of the exception.
See Also:
  `Throwable.getMessage()`

### SaslException

    public SaslException(java.lang.String detail,
                         java.lang.Throwable ex)

  Constructs a new instance of `SaslException` with a detailed message and a root exception. For example, a `SaslException` might result from a problem with the callback handler, which might throw a `UnsupportedCallbackException` if it does not support the requested callback, or throw an `IOException` if it had problems obtaining data for the callback. The `SaslException`'s root exception would be then be the exception thrown by the callback handler.

Parameters:
  `detail` - a possibly `null` string containing details of the exception.
  `ex` - a possibly `null` root exception that caused this exception.
See Also:
  `Throwable.getMessage()`, `getCause()`

Method Detail

### getCause

    public java.lang.Throwable getCause()

  Returns the cause of this throwable or `null` if the cause is nonexistent or unknown. The cause is the throwable that caused this exception to be thrown.

  Overrides:
    `getCause` in class `java.lang.Throwable`
  Returns:
    the possibly `null` exception that caused this exception.

### printStackTrace

    public void printStackTrace()

  Prints this exception's stack trace to `System.err`. If this exception has a root exception; the stack trace of the root exception is also printed to `System.err`.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace(java.io.PrintStream ps)

  Prints this exception's stack trace to a print stream. If this exception has a root exception; the stack trace of the root exception is also printed to the print stream.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  Parameters:
    `ps` - the non-null print stream to which to print.

### printStackTrace

    public void printStackTrace(java.io.PrintWriter pw)

  Prints this exception's stack trace to a print writer. If this exception has a root exception; the stack trace of the root exception is also printed to the print writer.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  Parameters:
    `pw` - the non-null print writer to use for output.

### toString

    public java.lang.String toString()

  Returns the string representation of this exception. The string representation contains this exception's class name, its detailed messsage, and if it has a root exception, the string representation of the root exception. This string representation is meant for debugging and not meant to be interpreted programmatically.

  Overrides:
    `toString` in class `java.lang.Throwable`
  Returns:
    the non-null string representation of this exception.
  See Also:
    `Throwable.getMessage()`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.